Subject: bug#38019: closed (Re: [bug#38019] [PATCH] Fix build of virtuoso-ose.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 Nov 2019 17:04:02 +0000

Your bug report

#38019: [PATCH] Fix build of virtuoso-ose.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38019: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38019
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#38019] [PATCH] Fix build of virtuoso-ose.
From: Marius Bakke <[email-masked]>
To: Roel Janssen <[email-masked]>, [email-masked]
Date: Sun, 03 Nov 2019 18:03:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Roel Janssen <[email-masked]> writes:

> Dear Guix,
>
> I attached a patch to fix the build of 'virtuoso-ose'.  It's been a
> long time since I submitted a patch, so if it was already fixed in some
> other branch, then disregard this patch.
>
> Could somebody apply it?

Thanks!  I applied it, after changing from 'openssl-1.0.2t' to the more
stable 'openssl-1.0' variable, and adjusted the commit message to match.

Subject: [PATCH] Fix build of virtuoso-ose.
From: Roel Janssen <[email-masked]>
To: [email-masked]
Date: Fri, 01 Nov 2019 13:56:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guix,

I attached a patch to fix the build of 'virtuoso-ose'.  It's been a
long time since I submitted a patch, so if it was already fixed in some
other branch, then disregard this patch.

Could somebody apply it?

Kind regards,
Roel Janssen

From 23085913698bea734144aa8ff6e65a69bf460e55 Mon Sep 17 00:00:00 2001
From: Roel Janssen <[email-masked]>
Date: Fri, 1 Nov 2019 13:51:19 +0100
Subject: [PATCH] databases: Fix build of virtuoso-ose.

Virtuoso cannot be built with versions of OpenSSL >1.1.0.

* gnu/packages/databases.scm (virtuoso-ose): Use openssl-1.0.2t.
---
 gnu/packages/databases.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index 412768aca6..a8e5418666 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -2352,7 +2352,7 @@ implementation for Python.")
        #:configure-flags '("--without-internal-zlib"
                            "--with-readline")))
     (inputs
-     `(("openssl" ,openssl)
+     `(("openssl" ,openssl-1.0.2t)
        ("net-tools" ,net-tools)
        ("readline" ,readline)
        ("zlib" ,zlib)))
-- 
2.23.0